ServerEvents.recipes(inscriber => {
 inscriber.shaped(
  Item.of('ae2:inscriber', 1), // arg 1: output
  [
    'ISI',
    'C I', // arg 2: the shape (array of strings)
    'ISI'
  ],
  {
    I: 'minecraft:iron_ingot',
    C: 'minecraft:copper_ingot',  //arg 3: the mapping object
    S: 'minecraft:sticky_piston'
  }
 )
}
)